<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
	<ui:param name="ID" value="ODD"/>
	<ui:define name="body">
		<h1>#{ODDManager.getTheNameOfThePage()}</h1>
		<h:form id="globalForm">
			<rich:messages globalOnly="true" styleClass="message" />
			
			#{ODDManager.init()}
			
			<s:div id="globalDiv">
				<gri:panel id="mainPanel">
					<f:facet name="header">#{ODDManager.getTheNameOfThePage()}</f:facet>
					<ui:include src="/simu/header.xhtml">
                        <ui:param name="divToRerender"
								  value="messageConfigurationDiv"/>
						<ui:param name="simuManager" value="#{ODDManager}" />
						<ui:param name="diagramFile" value="/img/ITI61.png"/>
						<ui:param name="sourceID"
							value="#{oid.getSourceOid(ODDManager.selectedAffinityDomain.keyword)}" />
						<ui:param name="simulatorConfigurationName"
                                  value="#{messages['net.ihe.gazelle.xdstar.OnDemandDocumentSource']}"/>
						<ui:param name="displaySourceId" value="#{false}" />
						<ui:param name="displayhomeCommunityId" value="#{false}" />
					</ui:include>
					<!-- MESSAGE CONFIGURATION -->
					<s:div id="messageConfigurationDiv">
						<gri:panel rendered="#{ODDManager.selectedConfiguration != null}">
							<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.XDSMetadatas']}</f:facet>
							<table style="width: 100%;">
								<tr valign="top">
									<td width="25%" valign="top"><f:subview id="subview_1">
											<ui:include src="/provide_register/pnr_tree.xhtml">
												<ui:param name="pnrIHEManager" value="#{ODDManager}" />
											</ui:include>
										</f:subview></td>
									<td width="75%"><s:div id="metadata_id">
											<f:subview id="subview_2">
												<ui:include src="/provide_register/submissionSet.xhtml">
													<ui:param name="pnrIHEManager" value="#{ODDManager}" />
												</ui:include>
											</f:subview>
											<f:subview id="subview_3">
												<ui:include src="/provide_register/xdsFolder.xhtml">
													<ui:param name="pnrIHEManager" value="#{ODDManager}" />
												</ui:include>
											</f:subview>
											<f:subview id="subview_4">
												<ui:include src="documentEntry.xhtml">
													<ui:param name="pnrIHEManager" value="#{ODDManager}" />
												</ui:include>
											</f:subview>
										</s:div></td>
								</tr>
							</table>
						</gri:panel>
						<br />
						<a4j:commandButton id="previewButton" styleClass="gzl-btn-blue"
							rendered="#{ODDManager.selectedConfiguration != null}"
							oncomplete="jq162('#previewMessagePanelIHE').modal('show');"
							value="#{messages['net.ihe.gazelle.xdstar.Preview']}"
							render="previewForm" />
						<a4j:commandButton styleClass="gzl-btn-green"
							rendered="#{ODDManager.selectedConfiguration != null}"
							value="#{messages['gazelle.xdrsrc.Execute']}"
							actionListener="#{ODDManager.sendProvideAndRegisterSetb()}"
							render="messagesDiv" />
						<br />
						<br />
						<s:div id="messagesDiv">
							<gri:panel id="messagePanel"
								rendered="#{ODDManager.displayResultPanel == true}">
								<f:facet name="header">#{messages['gazelle.xdrsrc.executionSummary']}</f:facet>
								#{allMessageManagerBean.listMessagesToDisplay()}
								<ui:include src="/messages/messageTable.xhtml">
									<ui:param name="messageManagerBean"
										value="#{allMessageManagerBean}" />
								</ui:include>
							</gri:panel>
						</s:div>
						<f:subview id="subview_5">
							<ui:include src="/provide_register/pnr_modalPanel.xhtml">
								<ui:param name="pnrIHEManager" value="#{ODDManager}" />
							</ui:include>
						</f:subview>
					</s:div>
				</gri:panel>
			</s:div>
		</h:form>
	</ui:define>
</ui:composition>
